#include "widget.h"

#include <QApplication>

int main(int argc, char *argv[])
{
    // 1. Qt 应用程序
    QApplication a(argc, argv);

    // 2. 应用程序中显示的主窗口
    Widget w;
    w.show();

    // 3. 启动 Qt 程序, 监听窗口的相关事件
    // 直到窗口关闭事件发生才退出
    return a.exec(); // a.exec 的目的是保持程序活着
}
